Skip to main content
POST
Spree Admin SDK

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

order_id
string
required

Order ID

Body

application/json
payment_method_id
string
required
amount
string<decimal>

Defaults to the order total left after store credit.

Pattern: ^-?\d+(\.\d+)?$
source_id
string

A saved payment source of the order's customer (a credit card), for an off-session charge. Used only by payment methods that require a source.

Response

201 - application/json

payment created